%% First load the driver library AMS3800Interface_NET.dll
% This file and the WinUSBNet.dll needs to be placed in the
% same directory. The current working directory is used in this example

AM = NET.addAssembly([pwd '\libraries\AMS3800Interface_NET.dll']);
import AMS3800Interface_NET.*
% Create an insturment object
my3800 = AMS3800Interface_NET.Ams_3800;

% Test if the instrument is connected
connected=my3800.isConnected();

%% Get the USB interfaces
if ~connected reply=my3800.getInterface(); end
%check if connected
connected=my3800.isConnected();

okToGo=connected && reply==AMS3800Interface_NET.AmsErrors.IO_OK;

%% Do some stuff if connected
if okToGo
    
 %Enable outputs  
 % parameters are channel, variable, value
 my3800.SetListValue(0,AMS3800Interface_NET.IndexListControls.IdxGlobalEnable, AMS3800Interface_NET.GlobalEnable.Enabled.int32)
 %Disable outputs
 my3800.SetListValue(0,AMS3800Interface_NET.IndexListControls.IdxGlobalEnable, AMS3800Interface_NET.GlobalEnable.Disabled.int32)
 
% To make names shorter import could be used
import AMS3800Interface_NET.*
% my3800.SetListValue(0,IndexListControls.IdxGlobalEnable, GlobalEnable.Enabled.int32)

%get ch1 status as an integer in a 0 based index, Matlab uses 1 based index
%so we need to add 1 if we are using matlab arrays.
index=my3800.GetListValue(0,AMS3800Interface_NET.IndexListControls.IdxStatus)+1
%get ch2 status
index=my3800.GetListValue(1,AMS3800Interface_NET.IndexListControls.IdxStatus)+1

%to display the name for the index get the enum field names and put in the
%indes value
 names = cell(System.Enum.GetNames(GetType(AMS3800Interface_NET.Status)));
 statName=names(index)
 
end

%% Close the interfaces    
my3800.closeInterface();


