%% First load the driver library AMS3800Interface_NET.dll
% This file and the WinUSBNet.dll needs to be placed in the
% same directory. The current working directory is used in this example
clear
%AM = NET.addAssembly(['C:\Documents and Settings\Administrator\My Documents\MATLAB\AMS3800\libraries\AMS3800Interface_NET.dll']);
AM = NET.addAssembly([pwd '\libraries\AMS3800Interface_NET.dll']);
import AMS3800Interface_NET.*
% Create an insturment object
my3800 = AMS3800Interface_NET.Ams_3800;

% reply=my3800.getInterface();

% Test if the instrument is connected
connected=my3800.isConnected()

% reply=my3800.getInterface()

%% Get the USB interfaces
if ~connected reply=my3800.getInterface(); end
%check if connected
connected=my3800.isConnected()

okToGo=connected && reply==AMS3800Interface_NET.AmsErrors.IO_OK
%% Get the excel parameters for stim/amp
[FileName,PathName] = uigetfile('C:\PlexonData\Guapo plexon data\*.plx','Select todays Plexon file');

[ExperimentSequence,FileName]=StimProtocolGuaps(FileName);
%     Public Enum IndexTimeControls
%         IdxTrainDelay = 100
%         IdxTrainWidth = 108
%         IdxTrainPeriod = 116
%         IdxPulseDelay = 124
%         IdxPulseWidth = 132
%         IdxPulsePeriod = 140
%         IdxPulseInterphase = 148
%         IdxPairedStart = 156
%         IdxPariedChange = 164
%     End Enum
%% Do some stuff if connected
tic
if okToGo
    % For example to turn Channel 3 on you would send:
    my3800.SetListValue( 0, AMS3800Interface_NET.IndexListControls.IdxGlobalEnable, AMS3800Interface_NET.GlobalEnable.Enabled.int32)
    'channel turned on'
    
    for sll=1:size(ExperimentSequence,1)
        PulsePeriod=ExperimentSequence(sll,3);
        Pulse=ExperimentSequence(sll,2);
        PulseAmp=ExperimentSequence(sll,2);
        
        my3800.SetTimeValue(0, IndexTimeControls.IdxTrainDelay, 0);
        my3800.SetTimeValue(0, IndexTimeControls.IdxTrainWidth, 400);
        my3800.SetTimeValue(0, IndexTimeControls.IdxTrainPeriod, 10000);
        my3800.SetTimeValue(0, IndexTimeControls.IdxPulsePeriod, PulsePeriod); %In milliseconds
        my3800.SetTimeValue(0, IndexTimeControls.IdxPulseWidth, 0.09);
        my3800.SetTimeValue(0, IndexTimeControls.IdxPulseInterphase, 0.050);
        my3800.SetAmpValue(0, IndexAmpControls.IdxPulse1, PulseAmp);
        my3800.SetAmpValue(0, IndexAmpControls.IdxPulse2, -PulseAmp);
        my3800.SetListValue(0,AMS3800Interface_NET.IndexListControls.IdxStatus, AMS3800Interface_NET.Status.ChOn.int32);
        
        pause(4.5+(rand-0.5)*1)
        % to turn it off you would send:
        my3800.SetListValue(0,AMS3800Interface_NET.IndexListControls.IdxStatus, AMS3800Interface_NET.Status.ChOff.int32);
        %     'channel turned off'
        sll
    end
    
end
toc
%% Close the interfaces    
my3800.closeInterface();

%%

% GetIndicatorValue(Ams_3800.ChNumber.ch6, Ams_3800.IndexListControls.IdxStatus) 
