%%
function mainGUI()
    global my3800
    global Channels
    
    AM = NET.addAssembly([pwd '\libraries\AMS3800Interface_NET.dll']);
    my3800 = AMS3800Interface_NET.Ams_3800;
     Channels = NET.createArray('AMS3800Interface_NET.Ams3800Channel', 8);
     
% Build User Interface
    MainWindow=makeFigure(1060,640);
    handles=makePanel(MainWindow);
    guidata(MainWindow, handles);  
%      set(MainWindow, 'Units','normalized');`
%     connected=my3800.isConnected();
%     if ~connected reply=my3800.getInterface(); end
%     connected=my3800.isConnected();
%     okToGo=connected && reply==AMS3800Interface_NET.AmsErrors.IO_OK     

%     set(MainWindow, 'Units','normalized');
%     for i=1:8
%         set(handles.Channel(i), 'Units','normalized');
%     end
end %main GUI

%%
function fig=makeFigure(w,h)
%Returns a figure of width(w) and height(h) in the middle of the screen
% w and h must be even for now
    scrsz = get(0,'ScreenSize');
    fig=figure('position', ...
    [(scrsz(3)/2-w/2) (scrsz(4)/2-h/2) w h], ...
    'CloseRequestFcn',@my_closereq, ...
    'toolbar', 'none',...
    'menubar', 'none');
end
%%
function my_closereq(src,evnt)
% User-defined close request function 
% to display a question dialog box 
global my3800
connected=my3800.isConnected();
my3800.SetListValue(0, ...
         AMS3800Interface_NET.IndexListControls.IdxGlobalControlMode,...
         0);
if connected 
     my3800.closeInterface();
end
delete(gcf)
%    selection = questdlg('Close This Program?',...
%       'Close Request Function',...
%       'Yes','No','Yes'); 
%    switch selection, 
%       case 'Yes',
%           connected=my3800.isConnected();
%           if connected 
%              my3800.closeInterface();
%           end
%          delete(gcf)
%       case 'No'
%       return 
%    end
end


%     desktoppath=winqueryreg('HKEY_CURRENT_USER', 'Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders', 'Desktop');
%     addpath(desktoppath)
% 
%%                 .NET ENUM EXAMPLES
% This sets a variable to a specific enum value
%      myGts = AMS3800Interface_NET.GateConnection.GateA
% This  gets an array of the enum names              
%    names = cell(System.Enum.GetNames(GetType(AMS3800Interface_NET.TriggerSource)));
% This gets a .NET array of the enum values
%    vals = System.Enum.GetValues(GetType(AMS3800Interface_NET.TriggerSource));
% to get the integer value of vals use int32
%     ivalx=int32(vals(x))
% or to get the array of integer values use a loop
%           for i=1:vals.Length
%                ival(i)=int32(vals(i));
%            end
% 
% This just displays the enum names to the command window
%       enumeration(AMS3800Interface_NET.IndexListControls) 
%
%%
%%               .NET ARRAY EXAMPLES
% This takes a .net array and makes it into a matlab cell
%      fileRowLabels=cell(my3800.Ams3800FileRows);
%                 
%%
%%               .NET STRUCTURE EXAMPLES
% This lists structure variable names 
%      controlNames=fieldnames(AMS3800Interface_NET.Ams3800Channel);  
% To create a structure  
%      Channel=AMS3800Interface_NET.Ams3800Channel;
% To create an array of structure
%     Channels = NET.createArray('AMS3800Interface_NET.Ams3800Channel', 8);
%      Channels(3).Status=AMS3800Interface_NET.Status.ChOn;
%
%%
%%                 .NET functions
%    isConnected=my3800.isConnected();
%    reply=my3800.getInterface();
%    my3800.GetListValue(0,AMS3800Interface_NET.IndexListControls.IdxStatus)
%%
%%     Save all function data to workspace
% overwrite=3; %or anything but zero 
% save_to_base(overwrite); 
