%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Filename:    voltNum.m
%
% Copyright:   A-M Systems
%
% Author:      DHM
%
% Description:
%   This is a MATLAB script that takes a GUI text box and converts
%   the string to a decimal string from -10.000 to +10.000.
%
%	Ensure that the location of this file is in your MATLAB Path.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function outstr=voltNum(hObject)
% voltNum Converts a string gui box into a valid time number 
%   voltNum(hObject) returns a valid voltage
%   volts must be in Volt format and from -10.000 to +10.000.
%
%       minimum step size is 0.001V
outnum = str2double(get(hObject,'string'));
if isnan(outnum)
    errordlg('You must enter a numeric value','Bad Input','modal')
    uicontrol(hObject)
	return
else
    if outnum < -10
        outnum=-10;
    end
    if outnum > 10
       outnum = 10;
    end
    outnum=round(outnum*10^3)/10^3;
    outstr=num2str(outnum,'%.3f');
    set(hObject,'string',outstr)
end